<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // Создайте замыкание: функция makePassword получает пароль в аргументе
      // и возвращает внутреннюю функцию, которая принимает введенную строку и возвращает
      // булево значение true, если введенная строка совпадает с паролем и false
      // – если не слвпадает.

      function makePassword (correctPassword) {

        return function (userPassword) {
          return correctPassword === userPassword;
        }
      }
      let verification = makePassword('qwerty1234');
      console.log(verification('qwerty1234'));
      console.log(verification('qwerty123456'));
    </script>
  </body>
</html>
